idf_component_register(SRCS "src/volc_rtc.c" "src/volc_platform.c" "src/volc_json.c" "src/volc_device_manager.c" "src/volc_http.c"
       INCLUDE_DIRS "inc"
       REQUIRES json volc_engine_rtc_lite zlib
       PRIV_REQUIRES esp_netif esp_http_client mbedtls
    )

# Add ENABLE_RTC_MODE definition if VOLC_RTC connection type is selected
if(CONFIG_CONNECTION_TYPE_VOLC_RTC)
    target_compile_definitions(${COMPONENT_LIB} PRIVATE ENABLE_RTC_MODE)
endif()